Bug 1027163 - oo-diagnostics will throw error due to openshift-iptables-port-proxy service dose not support status option.
oo-diagnostics will throw error due to openshift-iptables-port-proxy service ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-06 05:05 EST by Johnny Liu
Modified: 2015-05-14 19:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-29 19:49:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-11-06 05:05:51 EST
Description of problem:
Currently openshift-iptables-port-proxy does not support status option, so oo-diagnostics will throw error message.
I found this issue in OpenShift Enterprise env. And in online devenv also has the same issue.

Version-Release number of selected component (if applicable):
devenv_3993
OSE: 2.0/2013-11-05.1

How reproducible:
Always

Steps to Reproduce:
1.Setup node using installation script
2.Run oo-diagnostics
3.

Actual results:
The following error is seen:
FAIL: test_services_enabled
      The following service(s) are not currently started:
        openshift-iptables-port-proxy
      These services are required for OpenShift functionality.

This issue also happend in devenv.

[root@node2 ~]# service openshift-iptables-port-proxy status
Usage: /usr/sbin/oo-admin-ctl-iptables-port-proxy {start|stop|restart|reload}
[root@node2 ~]# echo $?
2


Expected results:
oo-diagnostics should not throw error.

Additional info:
Comment 2 Johnny Liu 2013-11-10 23:22:55 EST
Verified this bug on devenv_4016, and PASS.

1. Create a scalable app
2. # /etc/init.d/openshift-iptables-port-proxy status
The OpenShift iptables port proxy is enabled.
# echo $?
0
# oo-diagnostics -v
<--snip-->
INFO: checking that required services are running now
FAIL: test_services_enabled
      The following service(s) are not currently started:
        mcollective
      These services are required for OpenShift functionality
<--snip-->

There is no openshift-iptables-port-proxy service listed.
3. Remove a line from /etc/openshift/iptables.nat.rules
4. # /etc/init.d/openshift-iptables-port-proxy status
ERROR: A difference has been detected between state of /etc/openshift/iptables.nat.rules and the NAT table.
# oo-diagnostics -v
<--snip-->
INFO: checking that required services are running now
FAIL: test_services_enabled
      The following service(s) are not currently started:
        openshift-iptables-port-proxy, mcollective
      These services are required for OpenShift functionality.
<--snip-->

Note You need to log in before you can comment on or make changes to this bug.